From mboxrd@z Thu Jan  1 00:00:00 1970
From: logothesia <logothesia@disroot.org>
To: list+pounce@causal.agency
Cc: logothesia <logothesia@disroot.org>
Subject: [PATCH] Write an rc script for NetBSD.
Date: Sun, 30 Jul 2023 17:47:55 +0200
Message-Id: <20230730154756.9257-1-logothesia@disroot.org>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

---
 NetBSD/catsitd.in | 13 +++++++++++++
 catsitd.8         |  9 +++++----
 2 files changed, 18 insertions(+), 4 deletions(-)
 create mode 100644 NetBSD/catsitd.in

diff --git a/NetBSD/catsitd.in b/NetBSD/catsitd.in
new file mode 100644
index 0000000..00eb74a
--- /dev/null
+++ b/NetBSD/catsitd.in
@@ -0,0 +1,13 @@
+#!/bin/sh
+# PROVIDE: catsitd
+# REQUIRE: DAEMON
+# BEFORE:  LOGIN
+
+$_rc_subr_loaded . /etc/rc.subr
+
+name="catsitd"
+rcvar=$name
+command="%%PREFIX%%/sbin/catsitd"
+
+load_rc_config $name
+run_rc_command "$1"
diff --git a/catsitd.8 b/catsitd.8
index aaedbf0..6eedc97 100644
--- a/catsitd.8
+++ b/catsitd.8
@@ -24,9 +24,9 @@ The
 .Nm
 daemon
 is a process supervisor for
-.Fx
-and
-.Ox .
+.Fx ,
+.Ox , and
+.Nx .
 It is designed to supervise processes
 with the following behavior:
 .Bl -enum
@@ -212,7 +212,8 @@ file on
 The default path of the
 .Xr catsit.conf 5
 file on
-.Ox .
+.Ox and
+.Nx .
 .It Pa /var/run/catsitd.pipe
 The default path of the named pipe
 used for service control.
-- 
2.40.1


From mboxrd@z Thu Jan  1 00:00:00 1970
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 16.0 \(3731.600.7\))
Subject: Re: [PATCH] Write an rc script for NetBSD.
From: june <june@causal.agency>
In-Reply-To: <20230730154756.9257-1-logothesia@disroot.org>
Date: Wed, 11 Oct 2023 20:32:04 -0400
Cc: list+pounce@causal.agency
Content-Transfer-Encoding: 7bit
Message-Id: <4C609F49-9E02-4A56-AB56-47115B2D7EE5@causal.agency>
References: <20230730154756.9257-1-logothesia@disroot.org>
To: logothesia <logothesia@disroot.org>

thanks for the patch. unfortunately I'm not happy with catsit as a
project anymore and don't want to make further changes. for reference
I've replaced it with kitd[1] on my own servers.

[1]: https://git.causal.agency/kitd/


